CREATE TABLE users (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    username VARCHAR(50) UNIQUE NOT NULL,
    password_hash TEXT NOT NULL
);

CREATE TABLE signing_request (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    signed BOOLEAN NOT NULL DEFAULT FALSE
);

CREATE TABLE signing_request_document (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    signing_request_id UUID NOT NULL REFERENCES signing_request(id) ON DELETE CASCADE,
    name VARCHAR(255) NOT NULL,
    confirmed BOOLEAN NOT NULL DEFAULT FALSE
);