package ch.dlmw.swisssignchallenge.services.impl;

import ch.dlmw.swisssignchallenge.entities.SigningRequest;
import ch.dlmw.swisssignchallenge.repositories.SigningRequestRepository;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.UUID;

@Service
@AllArgsConstructor
public class SigningRequestService implements ch.dlmw.swisssignchallenge.services.SigningRequestService {

    private final SigningRequestRepository signingRequestRepository;

    @Override
    public SigningRequest getSigningRequest(String id) {
        var signingRequest = signingRequestRepository.findById(UUID.fromString(id)).orElseThrow();
        return signingRequest;
    }
}
